%global dlrn_nvr python-ironicclient-4.6.4-1.20221027064127.09b78fa
%global dlrn 1
%define upstream_version 4.6.4
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname ironicclient

%global common_desc A python and command line client library for Ironic

Name:           python-ironicclient
Version: 4.6.4
Release: 1.20221027064127.09b78fa%{?dist}
Summary:        Python client for Ironic

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-%{sname}
Source0: python-ironicclient-4.6.4-1.20221027064127.09b78fa.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=09b78fa80edba7317ab00b64a3f7f2b29c754fb8

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/python-%{sname}/python-%{sname}-%{version}%{?milestone}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif


%description
%{common_desc}


%package -n python3-%{sname}
Summary:        Python client for Ironic
%{?python_provide:%python_provide python3-%{sname}}
Obsoletes: python2-%{sname} < %{version}-%{release}

BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools

Requires:       xorriso
Requires:       python3-appdirs >= 1.3.0
Requires:       python3-cliff >= 2.8.0
Requires:       python3-dogpile-cache >= 0.8.0
Requires:       python3-jsonschema >= 3.2.0
Requires:       python3-keystoneauth1 >= 3.4.0
Requires:       python3-openstacksdk >= 0.18.0
Requires:       python3-osc-lib >= 2.0.0
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-pbr >= 2.0.0
Requires:       python3-requests >= 2.14.2
Requires:       python3-stevedore >= 1.20.0
Requires:       python3-yaml >= 3.13

%if 0%{?fedora} || 0%{?rhel} > 7
Suggests:       python3-openstackclient
%endif

%description -n python3-%{sname}
%{common_desc}

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n %{name}-%{upstream_version}

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{py3_build}

%install
%{py3_install}

%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/baremetal
%{python3_sitelib}/%{sname}*
%{python3_sitelib}/python_%{sname}*

%changelog
* Thu Oct 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.6.4-1.20221027064127.09b78fa
- Update patches
- Fix logging in the baremetal CLI
- Avoid using 'foo' as invalid JSON test data
- Validate path when passing a config-drive

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 4.6.3-1.20220727105407.7a77646
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 4.6.3-0.20220712111943.7a77646
- Update patches

* Sun May 08 2022 OSP Prod Chain <dev-null@redhat.com> 4.6.3-0.20220508231833.7a77646
- Avoid using 'foo' as invalid JSON test data (rhbz#2059102)
- Validate path when passing a config-drive

* Fri Oct 22 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.3-0.20211022061911.7a77646
- Update patches

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.3-0.20211013081742.7a77646
- Update patches
- Fix the functional tests
- Fix distribution compatability for configdrive build

* Sat Aug 28 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.2-0.20210828061813.702e228
- Update patches
- Make baremetal --debug actually work
- Fix --fields network_data
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.1-0.20210527231712.59ffddd
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 4.6.1-1
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tests for 'baremetal port create' command

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clearer error message when unable to parse JSON
- Support YAML files wherever JSON files are accepted
- Update minversion of tox
- Add 'deploy steps' for  provisioning API

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Standalone CLI: fix a minor issue in the docs
- Get rid of the oslo.config requirement
- Standalone CLI: optional support for ironic-inspector
- Make oslo.i18n an optional dependency
- A standalone CLI for ironic
- Cleanup py27 support
- Add node lessee
- Bump hacking to 3.0.0
- Explicitly set ramdisk type
- Add --no-retired list option

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train
- Provide a clear error message when using client.Client without a session
- Add support for retired{_reason} fields.
- Remove VerifiedHTTPSConnection class
- Add allocation owner
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Switch jobs to python3
- Switch to Ussuri job
- Fix source link.
- Add versions to release notes series
- Update master for stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Provide a clear error message when using client.Client without a session
- Add support for retired{_reason} fields.
- Remove VerifiedHTTPSConnection class
- Add allocation owner
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Switch jobs to python3
- Switch to Ussuri job
- Fix source link.
- Add versions to release notes series
- Update master for stable/train
- Provide a clear error message when using client.Client without a session
- Add support for retired{_reason} fields.
- Remove VerifiedHTTPSConnection class
- Add allocation owner
- Enforce running tox with correct python version based on env
- Stop using six library
- Drop python 2.7 support and testing
- Switch jobs to python3
- Switch to Ussuri job
- Fix source link.
- Add versions to release notes series
- Update master for stable/train
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix AttributeError in negotiate_version

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


